class Admin::UserAttributesController < ApplicationController
  
  layout "admin"
  before_filter :authenticate_user!

  def index
    @user_attributes = UserAttribute.all
  end
  
  def show
    @user_attribute = UserAttribute.find(params[:id])
  end
  
  def new
    @user_attribute = UserAttribute.new
  end
  
  def edit
    @user_attribute = UserAttribute.find(params[:id])
  end
  
  def create
    @user_attribute = UserAttribute.new(params[:user_attribute])
    @user_attribute.save
    
    redirect_to :action => :index
  end
  
  def update
    @user_attribute = UserAttribute.find(params[:id])
    @user_attribute.update_attributes(params[:user_attribute])
    
    redirect_to :action => :index
  end
  
  def destroy
    @user_attribute = UserAttribute.find(params[:id])
    @user_attribute.destroy
    
    redirect_to :action => :index
  end
  
end
